Package ghidra.util.table.column

# Enum Class GColumnRenderer.ColumnConstraintFilterMode

java.lang.Object
java.lang.Enum<GColumnRenderer.ColumnConstraintFilterMode>
ghidra.util.table.column.GColumnRenderer.ColumnConstraintFilterMode

All Implemented Interfaces:
  `Serializable`, `Comparable<GColumnRenderer.ColumnConstraintFilterMode>`, `Constable`

Enclosing interface:
  `GColumnRenderer<T>`

public static enum GColumnRenderer.ColumnConstraintFilterMode extends Enum<GColumnRenderer.ColumnConstraintFilterMode>
An enum that signals how the advanced column filtering should work. (This does not affect the normal table filtering that happens via the filter text field).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOW_ALL_FILTERS`
  Use both the rendered filter String and any found column constraints
  `ALLOW_CONSTRAINTS_FILTER_ONLY`
  Use only column constraints when filtering
  `ALLOW_RENDERER_STRING_FILTER_ONLY`
  Use only `GColumnRenderer.getFilterString(Object, Settings)` value; no constraints

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GColumnRenderer.ColumnConstraintFilterMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GColumnRenderer.ColumnConstraintFilterMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALLOW_RENDERER_STRING_FILTER_ONLY

    public static final GColumnRenderer.ColumnConstraintFilterMode ALLOW_RENDERER_STRING_FILTER_ONLY
    Use only `GColumnRenderer.getFilterString(Object, Settings)` value; no constraints

  - ### ALLOW_CONSTRAINTS_FILTER_ONLY

    public static final GColumnRenderer.ColumnConstraintFilterMode ALLOW_CONSTRAINTS_FILTER_ONLY
    Use only column constraints when filtering

  - ### ALLOW_ALL_FILTERS

    public static final GColumnRenderer.ColumnConstraintFilterMode ALLOW_ALL_FILTERS
    Use both the rendered filter String and any found column constraints

- ## Method Details

  - ### values

    public static GColumnRenderer.ColumnConstraintFilterMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GColumnRenderer.ColumnConstraintFilterMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null